Get viewpoint
GET
https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}
Path Parameters
- topic-board-idstringrequiredExampleDescription
- topic-idstringrequiredExampleDescription
- viewpoint-idstringrequiredExampleDescription
Query Parameters
- includeAuthorizationbooleanDescription
Responses
200
- viewpoint
- guidstringExampleDescription
- orthogonal_cameraobjectDescription
- camera_view_pointobjectDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- camera_directionobjectDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- camera_up_vectorobjectDescription
- xnumberDescription
- ynumberDescription
- znumberExampleDescription
- view_to_world_scalenumberExampleDescription
- aspect_rationumberExampleDescription
- perspective_cameraobjectDescription
- camera_view_pointobjectDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- camera_directionobjectDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- camera_up_vectorobjectDescription
- xnumberDescription
- ynumberDescription
- znumberExampleDescription
- field_of_viewnumberExampleDescription
- aspect_rationumberExampleDescription
- linesobject[]Description
- start_pointobjectDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- end_pointobjectDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- clipping_planesobject[]Description
- locationobjectDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- directionobjectDescription
- xnumberDescription
- ynumberDescription
- znumberExampleDescription
- bitmapsobject[]Description
- guidstringExampleDescription
- bitmap_typestring<jpg | png>ExampleDescription
- locationobjectDescription
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- normalobjectDescription
- xnumberDescription
- ynumberExampleDescription
- znumberDescription
- upobjectDescription
- xnumberDescription
- ynumberDescription
- znumberExampleDescription
- heightnumberExampleDescription
- snapshotobject
- snapshot_typestring<jpg | png>ExampleDescription
- authorizationobject
- viewpoint_actionsstring[]Example
[ "delete" ]
Description
curl
curl --request GET \
--url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"guid": "52959166-dbd2-44eb-81bb-74f955f30e0f",
"orthogonal_camera": {
"camera_view_point": {
"x": 100,
"y": 100,
"z": 100
},
"camera_direction": {
"x": 100,
"y": 100,
"z": 100
},
"camera_up_vector": {
"x": 0,
"y": 0,
"z": 1
},
"view_to_world_scale": 14,
"aspect_ratio": 1
},
"perspective_camera": {
"camera_view_point": {
"x": 100,
"y": 100,
"z": 100
},
"camera_direction": {
"x": 100,
"y": 100,
"z": 100
},
"camera_up_vector": {
"x": 0,
"y": 0,
"z": 1
},
"field_of_view": 60,
"aspect_ratio": 1
},
"lines": [
{
"start_point": {
"x": 100,
"y": 100,
"z": 100
},
"end_point": {
"x": 200,
"y": 200,
"z": 200
}
}
],
"clipping_planes": [
{
"location": {
"x": 100,
"y": 100,
"z": 100
},
"direction": {
"x": 0,
"y": 0,
"z": 1
}
}
],
"bitmaps": [
{
"guid": "8c2f8818-e413-49d4-8978-7f7d95d2b27e",
"bitmap_type": "png",
"location": {
"x": 100,
"y": 100,
"z": 100
},
"normal": {
"x": 0,
"y": 1,
"z": 0
},
"up": {
"x": 0,
"y": 0,
"z": 1
},
"height": 20
}
],
"snapshot": {
"snapshot_type": "png"
},
"authorization": {
"viewpoint_actions": [
""
]
}
}